bdi4jade.annotation

## Enum Parameter.Direction

- java.lang.Object
- - java.lang.Enum<Parameter.Direction>
  - - bdi4jade.annotation.Parameter.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Parameter.Direction>
  Enclosing class:
    Parameter

      public static enum Parameter.Direction
      extends java.lang.Enum<Parameter.Direction>

  This enumeration is used to indicate the parameter direction (input, output, or both).
  Author:
    Ingrid Nunes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN`
    `INOUT`
    `OUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Parameter.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Parameter.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN

          public static final Parameter.Direction IN

    - #### INOUT

          public static final Parameter.Direction INOUT

    - #### OUT

          public static final Parameter.Direction OUT

  - ### Method Detail

    - #### values

          public static Parameter.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Parameter.Direction c : Parameter.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Parameter.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null